<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ProviderOauth extends Model
{
	protected $table = 'provider_oauth';

	protected $fillable = ['name','active'];

	/* RELATIONS */

	public function tokens()
	{
		return $this->hasMany(ProviderToken::class);
	}

	public function users()
	{
		return $this->hasMany(UserOauth::class);
	}
}